import React from "react";
import styles from "./index.less";
import { Flex, Space } from "antd";
import BaseDesc from "@/components/BaseDesc";

/** @name 影响因素top3 */
const FactorTop3: React.FC = () => {
  const dataSource = [
    {
      title: "过街天桥破损",
      sub: "安全-道路桥梁安全",
      percent: 41,
      pNum: 16,
      deductScore: 0.5,
    },

    {
      title: "过街天桥破损",
      sub: "安全-道路桥梁安全",
      percent: 41,
      pNum: 16,
      deductScore: 0.5,
    },
    {
      title: "过街天桥破损",
      sub: "安全-道路桥梁安全",
      percent: 41,
      pNum: 16,
      deductScore: 0.5,
    },
  ];

  const renderListItem = (data: any, index: number) => {
    const colors = ["#FF5050", "#FF6C2A", "#FFBB39"];

    return (
      <div className={styles.listItem} key={index}>
        <Flex justify="space-between" align="center">
          <Space>
            <div
              style={{ backgroundColor: colors[index] }}
              className={styles.rank}
            >
              {index + 1}
            </div>
            <div>
              <div className={styles.itemTitle}>{data.title}</div>
              <div className={styles.itemDesc}>{data.sub}</div>
            </div>
          </Space>
          <Space size={36}>
            <BaseDesc value={data.percent} name="影响占比" unit="%"></BaseDesc>
            <BaseDesc value={data.pNum} name="问题数量" unit="件"></BaseDesc>
            <BaseDesc
              value={data.deductScore}
              name="体征扣分"
              unit=""
            ></BaseDesc>
          </Space>
        </Flex>
      </div>
    );
  };
  return (
    <div className={styles.container}>
      <div className={styles.title}>CQI影响体征TOP3</div>
      {dataSource.map((item, index) => renderListItem(item, index))}
    </div>
  );
};

export default FactorTop3;
