import { useMemo } from "react";
import ReactECharts from "echarts-for-react";

import * as echarts from "echarts";
import styles from "./index.less";
import { Flex } from "antd";
import { gaugeOption, lineOption } from "./option";
import { getColor } from "@/utils";
/** @name 今日CQI */
const TodayCQI = () => {
  const cityIndex = [
    {
      value: 92.5,
      name: "安全",
      icon: require("@/assets/images/overall/safe.png"),
    },
    {
      value: 85.5,
      name: "整洁",
      icon: require("@/assets/images/overall/clean.png"),
    },
    {
      value: 98.5,
      name: "便民",
      icon: require("@/assets/images/overall/convenience.png"),
    },
    {
      value: 85.5,
      name: "有序",
      icon: require("@/assets/images/overall/order.png"),
    },
    {
      value: 83,
      name: "美观",
      icon: require("@/assets/images/overall/beautiful.png"),
    },
  ];

  return (
    <div className={styles.container}>
      <Flex align="center" justify="space-between">
        <div className={styles.header_title}>成都市今日CQI</div>
        <div className={styles.header_time}>更新时间 2024-10-09 10:20:20</div>
      </Flex>
      <Flex align="center" justify="center" className={styles.gaugeChart}>
        <ReactECharts
          style={{ width: 500, height: 150 }}
          option={gaugeOption}
        />
        <div className={styles.chart_status}>理想态</div>
      </Flex>
      <Flex align="center" justify="center" className={styles.lineChart}>
        <ReactECharts style={{ width: 670, height: 80 }} option={lineOption} />
      </Flex>
      <Flex justify="center" gap={20}>
        {cityIndex.map((item) => {
          return (
            <Flex gap={12} align="center" className={styles.dimensionItemCard}>
              <img src={item.icon} alt=""></img>
              <div>
                <div className={styles.dimensionItemCard_name}>{item.name}</div>
                <div
                  className={styles.dimensionItemCard_val}
                  style={{ color: getColor(item.value) }}
                >
                  {item.value}
                </div>
              </div>
            </Flex>
          );
        })}
      </Flex>
    </div>
  );
};

export default TodayCQI;
