import React from "react";
import styles from "./index.less";
import { Circle } from "rc-progress";
import { Flex } from "antd";

const Cleanliness: React.FC = () => {
  const data = [
    {
      name: "一级道路",
      value: 18,
      total: 22,
    },
    {
      name: "二级道路",
      value: 18,
      total: 22,
    },
    {
      name: "三级道路",
      value: 18,
      total: 22,
    },
    {
      name: "四级道路",
      value: 18,
      total: 22,
    },
  ];
  return (
    <div className={styles.container}>
      <Flex gap={12}>
        <div className={styles.card}>
          <Flex justify="space-between" align="center">
            <div>道路条数</div>
            <div>
              <span>22</span>条
            </div>
          </Flex>
        </div>
        <div className={styles.card}>
          <Flex justify="space-between" align="center">
            <div>应清扫遍数</div>
            <div>
              <span>22</span>遍
            </div>
          </Flex>
        </div>
        <div className={styles.card}>
          <Flex justify="space-between" align="center">
            <div>今日已清扫遍数</div>
            <div>
              <span>22</span>遍
            </div>
          </Flex>
        </div>
      </Flex>
      <div className={styles.subtitle}>各级道路清扫遍数</div>
      <Flex justify="space-between">
        {data.map((item, index) => {
          return (
            <div key={index}>
              <div className={styles.circleProgress}>
                <Circle
                  percent={(item.value / item.total) * 100}
                  strokeWidth={12}
                  trailWidth={6}
                  strokeLinecap="butt"
                  trailColor="rgb(208, 225, 241)"
                  strokeColor="rgb(255, 155, 93)"
                />
                <div className={styles.circleText}>
                  <span>{item.value}</span>/{item.total}
                </div>
              </div>
              <div className={styles.circleTitle}>{item.name}</div>
            </div>
          );
        })}
      </Flex>
    </div>
  );
};

export default Cleanliness;
