import React from "react";
import styles from "./index.less";
import { Flex, Image, Space } from "antd";
import { ClockCircleFilled, EnvironmentFilled } from "@ant-design/icons";

const TodayEvent: React.FC = () => {
  const eventList = [...Array(6)].map(() => ({
    title: "这里是清扫保洁事件类型",
    time: "2024-10-20 10:20:20",
    address: "天府新区华阳街道水杉街151号",
  }));

  return (
    <div className={styles.container}>
      <Flex gap={12}>
        <div className={styles.card}>
          <Flex justify="space-between" align="center">
            <div>上报</div>
            <div>
              <span className={styles.reportVal}>22</span>条
            </div>
          </Flex>
        </div>
        <div className={styles.card}>
          <Flex justify="space-between" align="center">
            <div>待处置</div>
            <div>
              <span className={styles.pending}>22</span>遍
            </div>
          </Flex>
        </div>
      </Flex>
      <div className={styles.subtitle}>最新事件</div>
      <div className={styles.eventList}>
        {eventList.map((item, index) => {
          return (
            <div key={index} className={styles.eventItem}>
              <Flex align="center">
                <Image
                  width={86}
                  height={86}
                  preview={false}
                  src="error"
                  fallback={require("@/assets/images/common/imgEmpty.png")}
                ></Image>
                <div>
                  <div className={styles.eventTitle}>{item.title}</div>
                  <Flex gap={8}>
                    <ClockCircleFilled
                      style={{
                        color: "rgb(106, 115, 142)",
                      }}
                    />
                    <div className={styles.eventTime}>{item.time}</div>
                  </Flex>
                  <Flex gap={8}>
                    <EnvironmentFilled
                      style={{
                        color: "rgb(106, 115, 142)",
                      }}
                    />
                    <div className={styles.eventAddress}>{item.address}</div>
                  </Flex>
                </div>
              </Flex>
            </div>
          );
        })}
      </div>
    </div>
  );
};

export default TodayEvent;
