import { IConfigFromPlugins } from "@/.umi/core/pluginConfig";

type RouteType = Array<{
  component?: string | undefined;
  layout?: false | undefined;
  path?: string | undefined;
  redirect?: string | undefined;
  routes?: RouteType;
  wrappers?: Array<string> | undefined;
}>;

const router: RouteType = [
  { path: "/", redirect: "/home" },
  {
    path: "/home",
    routes: [
      {
        path: "/home",
        redirect: "/home/overall",
      },
      {
        path: "/home/overall",
        component: "./Overall",
      },
      {
        path: "/home/solidWaste",
        component: "./SolidWaste",
      },
      {
        path: "/home/municipalFacilities",
        component: "./Develop",
      },
      {
        path: "/home/advertisement",
        component: "./Develop",
      },
      {
        path: "/home/administrativeLawEnforcement",
        component: "./Develop",
      },
      {
        path: "/home/supervisionAndEvaluation",
        component: "./Develop",
      },
      {
        path: "/home/integratedCommand",
        component: "./Develop",
      },
    ],
  },
  {
    path: "/*",
    component: "./404",
    layout: false,
  },
];

export default router;
